{baseUrl}.
Integration checklist
- Send
X-API-Keyon Contributions and Delivery Emissions requests (Authentication). - Send
Idempotency-Keyon contribution confirmation, estimate creation, and emissions association. - Use the request body for your Partner’s configured contribution method (Contributions).
- After a timeout or unknown result, recover before reversing customer value (Errors & Recovery).
Contributions
POST /v1/impact-transactions—confirmContribution(Loyalty Points or Direct, method from Partner configuration) — ContributionsGET /v1/impact-transactions?partner_event_id=—getContributionByPartnerEventId— ContributionsGET /v1/impact-transactions/{transaction_id}—getContributionById— Contributions
Delivery Emissions
POST /v1/emissions/estimates—createDeliveryEmissionsEstimate— Delivery EmissionsGET /v1/emissions/estimates/{calculation_id}—getDeliveryEmissionsEstimate— Delivery EmissionsPOST /v1/impact-transactions/{transaction_id}/emissions-associations—associateEmissionsEstimate— Delivery Emissions
Outbound webhooks
Outbound webhooks are events, not REST paths:impact.transaction.confirmedimpact.transaction.adjustedsettlement.createdsettlement.closedenvironmental.status.updated
settlement.created, settlement.closed), see Settlement batch webhooks. For planting fulfilment batch lifecycle (environmental.status.updated event version 2), see Planting fulfilment batch webhooks. Event payloads for the other events are on each webhook page below.
